org.apache.maven.reporting

## Class MavenReportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.reporting.MavenReportException

- All Implemented Interfaces:
    java.io.Serializable

      public class MavenReportException
      extends java.lang.Exception

  An exception occurring during the execution of a Maven report.
  Since:
    2.0
  Version:
    $Id: MavenReportException.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Brett Porter, Emmanuel Venisse
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID` The serialVersionUID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MavenReportException(java.lang.String msg)` Default constructor.
    `MavenReportException(java.lang.String msg, java.lang.Exception e)` Other constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          public static final long serialVersionUID

      The serialVersionUID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MavenReportException

          public MavenReportException(java.lang.String msg)

      Default constructor.
      Parameters:
        `msg` - the exception message.

    - #### MavenReportException

          public MavenReportException(java.lang.String msg,
                              java.lang.Exception e)

      Other constructor.
      Parameters:
        `msg` - the exception message.
        `e` - the exception.